class CfgSkeletons
{
	class Default
	{
		isDiscrete=1;
		skeletonInherit="";
		skeletonBones[]={};
	};
	class ValkenSkeleton: Default
	{
		skeletonBones[]=
		{
			"zasleh", "",
            "Bipod","",
            "Left_Leg","Bipod",
            "Right_Leg","Bipod"
		};
	};
};
class CfgModels
{
	class Default
	{
		sectionsInherit="";
		sections[]={};
		skeletonName="";
	};
    class Aux501_valken38x
    {
        htMin=1;
        htMax=600;
        afMax=0;
        mfMax=0;
        mFact=1;
        tBody=100;
        skeletonName="ValkenSkeleton";
        sectionsInherit="";
        sections[]={"zasleh"};
        class Animations
        {
            class legs
            {
	            type			= rotation;
	            source			= bipod;
	            sourceAddress	= clamp;
	            selection		= "bipod";
	            axis			= "bipod_axis";
	            minValue		= 0;
	            maxValue		= 1;
	            angle0			= (rad 0);
	            angle1			= (rad 90);
            };
            class Left_Leg
            {
	            type			= rotationY;
	            source			= bipod;
	            sourceAddress	= clamp;
	            selection		= "Left_Leg";
	            axis			= "Left_Axis";
	            minValue		= 0;
	            maxValue		= 1;
	            angle0			= (rad 0);
	            angle1			= (rad -25);
            };
            class Right_Leg
            {
	            type			= rotationY;
	            source			= bipod;
	            sourceAddress	= clamp;
	            selection		= "Right_Leg";
	            axis			= "Right_Axis";
	            minValue		= 0;
	            maxValue		= 1;
	            angle0			= (rad 0);
	            angle1			= (rad 25);
            };
            class trigger
            {
                type="rotation";
                source="reload";
                selection="trigger";
                sourceAddress="clamp";
                axis="trigger_axis";
                minPhase=0;
                maxPhase=1;
                minValue=0;
                maxValue=1;
                memory=0;
                angle0=0;
                angle1=0.3490658;
            };
            class no_magazine
            {
                type="hide";
                source="hasmagazine";
                selection="magazine";
                sourceAddress="clamp";
                minPhase=0;
                maxPhase=1;
                minValue=0;
                maxValue=1;
                memory=0;
                hideValue=0.5;
                unHideValue=-1;
            };
            class magazine_hide
            {
                type="hide";
                source="reloadmagazine";
                selection="magazine";
                sourceAddress="clamp";
                minPhase=0;
                maxPhase=1;
                minValue=0;
                maxValue=1;
                memory=0;
                hideValue=0.25;
                unHideValue=0.6;
            };		
			class zaslehrot
            {
                type="rotationx";
                source="ammorandom";
                selection="zasleh";
                sourceAddress="loop";
				axis="zasleh_axis";
				centerFirstVertex=true;
                minPhase=0;
                maxPhase=4;
                minValue=0;
                maxValue=4;
                memory=0;
                angle0=0;
                angle1=6.283185;
            };
        };
    };
};